## kaleidoscope

kaleidoscope — Applies 'kaleidoscope' geometric transform to the image

## Synopsis

    struct              GstKaleidoscope;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstGeometricTransform
                                           +----GstCircleGeometricTransform
                                                 +----GstKaleidoscope

## Properties

      "angle"                    gdouble               : Read / Write
      "angle2"                   gdouble               : Read / Write
      "sides"                    gint                  : Read / Write

## Description

## Synopsis

### Element Information

plugin | geometrictransform
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstKaleidoscope

    struct GstKaleidoscope;

## Property Details

### The `"angle"` property

      "angle"                    gdouble               : Read / Write

primary angle in radians of the kaleidoscope effect.

Default value: 0

### The `"angle2"` property

      "angle2"                   gdouble               : Read / Write

secondary angle in radians of the kaleidoscope effect.

Default value: 0

### The `"sides"` property

      "sides"                    gint                  : Read / Write

Number of sides of the kaleidoscope.

Allowed values: >= 2

Default value: 3